> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查詢市場清單

> 查詢市場清單

查詢市場清單。

> [!NOTE]
>
> 該介面為公開介面，不需要認證。


## OpenAPI

````yaml openapi/event-contracts-zh-TW.yaml GET /api/v4/event_contracts/markets
openapi: 3.0.3
info:
  title: DexBuilder Event Contracts API
  version: 1.0.0
  description: DexBuilder 事件合約 REST API
servers:
  - url: https://api.dexbuilder.com
security: []
paths:
  /api/v4/event_contracts/markets:
    get:
      summary: 查詢市場清單
      description: 查詢市場清單
      operationId: query_markets
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
        - name: cursor
          in: query
          required: false
          schema:
            type: string
        - name: market_id
          in: query
          required: false
          schema:
            type: string
        - name: event_id
          in: query
          required: false
          schema:
            type: string
        - name: slug
          in: query
          required: false
          schema:
            type: string
        - name: condition_id
          in: query
          required: false
          schema:
            type: string
        - name: tag_slug
          in: query
          required: false
          schema:
            type: string
        - name: active
          in: query
          required: false
          schema:
            type: boolean
        - name: closed
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: 請求成功
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketsPage'
        '400':
          description: 請求參數錯誤
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: 服務暫時不可用
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    MarketsPage:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/MarketSummary'
        next_cursor:
          type: string
          nullable: true
          description: 下一頁游標；為 null 時表示沒有更多結果。
      description: 回應物件。
    Error:
      type: object
      description: 錯誤回應。
      properties:
        label:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: invalid request
    MarketSummary:
      type: object
      properties:
        best_ask:
          type: string
        best_bid:
          type: string
        category:
          type: string
          nullable: true
        closed:
          type: boolean
        condition_id:
          type: string
        end_date:
          type: integer
          nullable: true
        event_id:
          type: string
        last_trade_price:
          type: string
        limit_buy_min_shares:
          type: string
        market_id:
          type: string
        outcomes:
          type: array
          items:
            $ref: '#/components/schemas/OutcomeRef'
        question:
          type: object
          nullable: true
        slug:
          type: string
        start_date:
          type: integer
          nullable: true
        status:
          type: string
        tags:
          type: array
          items:
            $ref: '#/components/schemas/TagSummary'
        uma_end_date:
          type: string
          nullable: true
        uma_end_date_iso:
          type: string
          nullable: true
        uma_resolution_status:
          type: string
          nullable: true
        uma_resolution_statuses:
          type: string
          nullable: true
        volume:
          type: string
          nullable: true
        volume_24hr:
          type: string
      description: 回應物件。
    OutcomeRef:
      type: object
      properties:
        outcome:
          type: object
          nullable: true
        token_id:
          type: string
      description: 回應物件。
    TagSummary:
      type: object
      properties:
        label:
          type: object
          nullable: true
        slug:
          type: string
        tag_id:
          type: string
      description: 回應物件。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.